Content analytics

Distinct posts, and creators who posted, with a post date in the range

GET/api/public/v1/content/posting_counts
LiveAnswers from your brand's records now.

Operation id getContentPostingCounts

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/posting_counts" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_idsquerystring
platformquerystringOne of instagramtik_tokyoutubefacebooktwitter

Responses

200Success

FieldTypeNotes
dataobject
data.creatorsinteger
data.postsinteger
data.rangeobject
data.range.end_datestring (date)
data.range.start_datestring (date)
metaobject
meta.campaign_idsarray of integer
meta.organization_idinteger
meta.platformstring, nullable
meta.scopestringOne of familybrandcampaign
successboolean

Example

{
  "data": {
    "creators": 3,
    "posts": 3,
    "range": {
      "end_date": "2026-11-01",
      "start_date": "2026-11-01"
    }
  },
  "meta": {
    "campaign_ids": [
      3
    ],
    "organization_id": 1024,
    "platform": "string",
    "scope": "family"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.